- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Lists nodes.
HTTP request
GET https://tpu.googleapis.com/v2/{parent=projects/*/locations/*}/nodes
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource name. |
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of items to return. |
pageToken |
The nextPageToken value returned from a previous List request, if any. |
Request body
The request body must be empty.
Response body
Response for nodes.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"nodes": [
{
object ( |
| Fields | |
|---|---|
nodes[] |
The listed nodes. |
nextPageToken |
The next page token or empty if none. |
unreachable[] |
Locations that could not be reached. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud.tpuhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
tpu.nodes.list
For more information, see the IAM documentation.